Loading...
Searching...
No Matches
OpenGridType< openvdb::PointDataIndex32 > Struct Reference

Template specialization for the PointDataGrid. More...

`#include <nanovdb/util/OpenToNanoVDB.h>`

## Public Types

using | GridT = openvdb::points::PointDataGrid
using | TreeT = typename GridT::TreeType
using | RootT = typename TreeT::RootNodeType
using | UpperT = typename RootT::ChildNodeType
using | LowerT = typename UpperT::ChildNodeType
using | LeafT = typename LowerT::ChildNodeType
using | ValueT = typename LeafT::ValueType

## Detailed Description

Template specialization for the PointDataGrid.

## Member Typedef Documentation

## GridT

using GridT = openvdb::points::PointDataGrid

## LeafT

using LeafT = typename LowerT::ChildNodeType

## LowerT

using LowerT = typename UpperT::ChildNodeType

## RootT

using RootT = typename TreeT::RootNodeType

## TreeT

using TreeT = typename GridT::TreeType

## UpperT

using UpperT = typename RootT::ChildNodeType

## ValueT

using ValueT = typename LeafT::ValueType